/*
 * Module for building heirarchical histogram.
 */
typedef void *Tree;
/*
 * Create_tree creates and initializes a tree structure and returns a handle
 * for passing this structure to add_tree and scan_tree.
 */
Tree create_tree ( char delim,		/* delimiter for key elements */
	int case_sensitive );		/* Case ignored if false */
/*
 * Add tree parses the specified key and locates or inserts the
 * corresponding entry in the tree.  The hit counts for this entry are
 * then incremented.  Return value is 0 on error, non-zero on success.
 */
int add_tree ( Tree tree, char *key, int key_len );

/*
 * Scan_tree returns over successive calls the tree contents, useing
 * a user-supplied context to specify.  Part of the search context and
 * the returned strings are kept in the tree structure, so only 1 scan may
 * be active on a tree at the same time.
 *
 * Return value:
 *	>0		Success, next key returned.
 *	0		No more entries in tree.
 *	<0		Error.
 */
int scan_tree ( Tree tree,		/* Tree pointer return by create_tree*/
	int sort_code,			/* 0-alpha by key, 1 or 2-by hits */
	int *content,			/* Set to zero for first call */
	char **label,			/* Returns pointer to key */
	int *hits,			/* number of times key or one of
					 * it descendants added. */
	int *terminal_hits );		/* number of times key added */
