/* Define routines to read HTTP server's access.log file and read the
 * records, performing the intial parsing into separate fields and date-based
 * filtering.
 *
 * Format of date: dd/mon/year hh:mm:ss  (e.g. 20/may/1996 12:03:22)
 */
int open_log ( char *fname, char *since, char *before );
void close_log();

int read_log ( char *line, 	/* Receives copy of read record, may be null */
	char *fields[7],	/* Receives pointers to fields parsed from
				 * records, pointers are to static buffer */
				
	int *req_status,	/* Decoded value of status field (5) */
	int *bytes,		/* Decoded value of bytecount filed (6) */
	int date[6] );		/* Numeric representation of date field */

int parse_request ( char *request, char *method, char *path, char *protocol );
/*
 * Date utilities.
 */
int parse_date ( char *field, int *date );
int julian_day ( int date[6] );
